searchData={"items":[{"type":"module","title":"MetadataPlugs.Health","doc":"This plug  provides a health endpoint.\n\nThe purpose of this endpoint is send a heartbeat response when the server is\nup.","ref":"MetadataPlugs.Health.html"},{"type":"module","title":"Options - MetadataPlugs.Health","doc":"The plug listens by default the `/health` endpoint. See `t:opts/0` for more\ninfo.","ref":"MetadataPlugs.Health.html#module-options"},{"type":"module","title":"Request - MetadataPlugs.Health","doc":"The configured endpoint should be called via an `HTTP/GET` request.\n\nWhen this endpoint is called, the server responds with an `HTTP 200 OK`\ncontaining the following body:\n\n```json\n{\"status\": \"up\"}\n```","ref":"MetadataPlugs.Health.html#module-request"},{"type":"function","title":"MetadataPlugs.Health.call/2","doc":"Resolves a health request.","ref":"MetadataPlugs.Health.html#call/2"},{"type":"type","title":"MetadataPlugs.Health.opts/0","doc":"Plug options:\n\n* `path`: The health endpoint path, defaults to `/health`.","ref":"MetadataPlugs.Health.html#t:opts/0"},{"type":"module","title":"MetadataPlugs.Info","doc":"This plug provides the value of environment variables.","ref":"MetadataPlugs.Info.html"},{"type":"module","title":"Options - MetadataPlugs.Info","doc":"The plug listens by default the `/info` endpoint. See `t:opts/0` for more\ninfo.","ref":"MetadataPlugs.Info.html#module-options"},{"type":"module","title":"Request - MetadataPlugs.Info","doc":"The configured endpoint should be called via an `HTTP/GET` request.\n\nWhen this endpoint is called, the server responds with an `HTTP 200 OK`\ncontaining the value of all the configured environment variables. For example:\n\n```json\n{\"environment\": \"production\", \"version\": 20190105}\n```","ref":"MetadataPlugs.Info.html#module-request"},{"type":"function","title":"MetadataPlugs.Info.call/2","doc":"Resolves an info request.","ref":"MetadataPlugs.Info.html#call/2"},{"type":"type","title":"MetadataPlugs.Info.opts/0","doc":"Plug options:\n\n* `env_vars`: String list of environment variables names to get the value\nfrom, defaults to `[]`.\n* `path`: The health endpoint path, defaults to `/info`.","ref":"MetadataPlugs.Info.html#t:opts/0"},{"type":"extras","title":"README","doc":"[![Coverage Status](https://coveralls.io/repos/github/qgadrian/metadata_plugs/badge.svg?branch=master)](https://coveralls.io/github/qgadrian/metadata_plugs?branch=master)\n[![Hex version](https://img.shields.io/hexpm/v/sippet.svg \"Hex version\")](https://hex.pm/packages/metadata_plugs)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-9768d1.svg)](https://hexdocs.pm/metadata_plugs)\n[![Build Status](https://travis-ci.org/qgadrian/metadata_plugs.svg?branch=master)](https://travis-ci.org/qgadrian/metadata_plugs)\n[![Deps Status](https://beta.hexfaktor.org/badge/all/github/qgadrian/metadata_plugs.svg)](https://beta.hexfaktor.org/github/qgadrian/metadata_plugs)\n\n# MetadataPlugs\n\nCollection of plugs to provide different metadata information.\n\n[Plugs included](#plugs):\n\n- [Health](#health)\n- [Info](#info)","ref":"readme.html"},{"type":"extras","title":"Installation - README","doc":"Add to dependencies\n\n```elixir\ndef deps do\n  [{:metadata_plugs, \"~> 0.3.3\"}]\nend\n```\n\nInstall dependencies\n\n```bash\nmix deps.get\n```","ref":"readme.html#installation"},{"type":"extras","title":"Plugs - README","doc":"","ref":"readme.html#plugs"},{"type":"extras","title":"Health - README","doc":"Just add the plug to the endpoint file\n\n```elixir\nplug(MetadataPlugs.Health)\n```\n\nDefault path for this plug is `/health`, which can be overwritten:\n\n```elixir\nplug(MetadataPlugs.Health, path: \"/healthz\")\n```","ref":"readme.html#health"},{"type":"extras","title":"Info - README","doc":"Add the plug to the endpoint file with the desired environment variables to get the info from.\n\n```elixir\nplug(MetadataPlugs.Info, env_vars: [\"APP_VERSION\", \"ENVIRONMENT\"])\n```\n\nDefault path for this plug is `/info`, which can be overwritten:\n\n```elixir\nplug(MetadataPlugs.Info, path: \"/infoz\")\n```","ref":"readme.html#info"}],"content_type":"text/markdown","proglang":"elixir","producer":{"name":"ex_doc","version":"0.36.1"}}